package interpreter

import org.junit.jupiter.api.BeforeEach
import org.junit.jupiter.api.Test
import prolog.ast.Database.Program

class SourceFileReaderTests {
    @BeforeEach
    fun setup() {
        Program.reset()
    }

    @Test
    fun a() {
        val inputFile = "tests/parser/resources/a.pl"
        val reader = FileLoader()

        reader.readFile(inputFile)
    }

    @Test
    fun foo() {
        val inputFile = "tests/parser/resources/foo.pl"
        val reader = FileLoader()

        reader.readFile(inputFile)
    }
}